Google Web Toolkit (Beta)
Search this site:

# Class SuggestOracle.Request

public static class SuggestOracle.Request
extends Object
implements IsSerializable
A SuggestOracle request.

## Constructors

SuggestOracle.Request() | Constructor for Request.
SuggestOracle.Request(String) | Constructor for Request.
SuggestOracle.Request(String, int) | Constructor for Request.

## Methods

getLimit() | Gets the limit on the number of suggestions that should be created.
getQuery() | Gets the query string.
setLimit(int) | Sets the limit on the number of suggestions that should be created.
setQuery(String) | Sets the query string used for this request.

## Constructor Detail

### SuggestOracle.Request

public SuggestOracle.Request()
Constructor for Request.

### SuggestOracle.Request

public SuggestOracle.Request(String query)
Constructor for Request.

#### Parameters

query
  the query string

### SuggestOracle.Request

public SuggestOracle.Request(String query, int limit)
Constructor for Request.

#### Parameters

query
  the query string
limit
  limit on the number of suggestions that should be created for this query

## Method Detail

### getLimit

public int getLimit()
Gets the limit on the number of suggestions that should be created.

#### Return Value

the limit

### getQuery

public String getQuery()
Gets the query string.

#### Return Value

the query string

### setLimit

public void setLimit(int limit)
Sets the limit on the number of suggestions that should be created.

#### Parameters

limit
  the limit

### setQuery

public void setQuery(String query)
Sets the query string used for this request.

#### Parameters

query
  the query string